lkml.org 
[lkml]   [2018]   [Apr]   [4]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Date
SubjectNoisy Sparse warnings
I have been getting the following sparse warnings repeatedly on my
current Ubutu (17.10) when compiling the current mainline kernel:

./arch/x86/include/asm/nospec-branch.h:144:38: warning: Unknown escape '@'
./include/linux/string.h:239:1: error: attribute 'gnu_inline': unknown attribute

I get the same sparse error whether I use the default sparse that
Ubuntu ships (0.5.0) or the current sparse (0.5.2-rc1)

Ideas?


--
Thanks,

Steve

\
 
 \ /
  Last update: 2018-04-05 01:05    [W:0.026 / U:10.388 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site